package com.gyee.alarm.service.auto;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.alarm.model.auto.ProBasicFeatureStat;
import com.gyee.alarm.model.auto.ProEconEarlyReport;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 预警报告 服务类
 * </p>
 *
 * @author shilin
 * @since 2023-09-05
 */
public interface IProEconEarlyReportService extends IService<ProEconEarlyReport> {

    public List<ProEconEarlyReport> findEarlyReportByDate(String stationId, Date startTime, Date endTime);
    public ProBasicFeatureStat getAvgAlarmCount(List<ProBasicFeatureStat> alarmCountList);
    public Map<String, ProBasicFeatureStat> getSumAlarmCountByWindturbine(List<ProBasicFeatureStat> lst, int limit);

    public List<ProEconEarlyReport> findEarlyReportById( String id);

    public ProEconEarlyReport findLastReport();
}
